## ECollectionAccountWizard ECollectionAccountWizard — Collection account wizard |

## Functions

GtkWidget * | e_collection_account_wizard_new ()
ESourceRegistry * | e_collection_account_wizard_get_registry ()
gboolean | e_collection_account_wizard_get_can_run ()
void | e_collection_account_wizard_reset ()
gboolean | e_collection_account_wizard_next ()
gboolean | e_collection_account_wizard_prev ()
gboolean | e_collection_account_wizard_is_finish_page ()
void | e_collection_account_wizard_run ()
void | e_collection_account_wizard_run_finish ()
void | e_collection_account_wizard_abort ()

## Types and Values

struct | ECollectionAccountWizard

## Includes

    #include <e-util/e-util.h>

## Description

ECollectionAccountWizard is a configuration wizard which guides user through steps to created collection accounts. Such accounts provide multiple sources at once, being it address books, calendars, mail and others.

## Functions

### e_collection_account_wizard_new ()

    GtkWidget *
    e_collection_account_wizard_new (ESourceRegistry *registry);

`e_collection_account_wizard_new` is deprecated and should not be used in newly-written code.

Creates a new ECollectionAccountWizard instance.

#### Parameters

registry | an ESourceRegistry |

#### Returns

a new ECollectionAccountWizard.

[transfer full]

Since: 3.28

### e_collection_account_wizard_get_registry ()

    ESourceRegistry *
    e_collection_account_wizard_get_registry
                                   (ECollectionAccountWizard *wizard);

`e_collection_account_wizard_get_registry` is deprecated and should not be used in newly-written code.

Returns the ESourceRegistry passed to `e_collection_account_wizard_new()`.

#### Parameters

wizard | an ECollectionAccountWizard |

#### Returns

an ESourceRegistry.

[transfer none]

Since: 3.28

### e_collection_account_wizard_get_can_run ()

    gboolean
    e_collection_account_wizard_get_can_run
                                   (ECollectionAccountWizard *wizard);

`e_collection_account_wizard_get_can_run` is deprecated and should not be used in newly-written code.

Returns whether `e_collection_account_wizard_run()` can be called, that is, whether at least one worker is enabled to run and the `wizard` is not running.

#### Parameters

wizard | an ECollectionAccountWizard |

#### Returns

whether `e_collection_account_wizard_run()` can be called.

Since: 3.28

### e_collection_account_wizard_reset ()

    void
    e_collection_account_wizard_reset (ECollectionAccountWizard *wizard);

`e_collection_account_wizard_reset` is deprecated and should not be used in newly-written code.

Resets content of the `wizard` to the initial state. This might be called whenever the widget is going to be shown.

#### Parameters

wizard | an ECollectionAccountWizard |

Since: 3.28

### e_collection_account_wizard_next ()

    gboolean
    e_collection_account_wizard_next (ECollectionAccountWizard *wizard);

`e_collection_account_wizard_next` is deprecated and should not be used in newly-written code.

Instructs the `wizard` to advance to the next step. It does nothing when there is an ongoing lookup or when the current page cannot be advanced.

This can influence `e_collection_account_wizard_is_finish_page()`.

#### Parameters

wizard | an ECollectionAccountWizard |

#### Returns

`TRUE`, when the step had been changed, `FALSE` otherwise. Note that when this is called on a finish page, then the `TRUE` means that the `wizard` finished all its settings and should be closed now.

Since: 3.28

### e_collection_account_wizard_prev ()

    gboolean
    e_collection_account_wizard_prev (ECollectionAccountWizard *wizard);

`e_collection_account_wizard_prev` is deprecated and should not be used in newly-written code.

Instructs the `wizard` to go back to the previous step.

This can influence `e_collection_account_wizard_is_finish_page()`.

#### Parameters

wizard | an ECollectionAccountWizard |

#### Returns

`TRUE`, when the step had been changed, `FALSE` otherwise.

Since: 3.28

### e_collection_account_wizard_is_finish_page ()

    gboolean
    e_collection_account_wizard_is_finish_page
                                   (ECollectionAccountWizard *wizard);

`e_collection_account_wizard_is_finish_page` is deprecated and should not be used in newly-written code.

#### Parameters

wizard | an ECollectionAccountWizard |

#### Returns

whether the `wizard` is at the last page.

Since: 3.28

### e_collection_account_wizard_run ()

    void
    e_collection_account_wizard_run (ECollectionAccountWizard *wizard,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

`e_collection_account_wizard_run` is deprecated and should not be used in newly-written code.

Runs lookup for all enabled lookup workers. Finish the call with `e_collection_account_wizard_run_finish()` from the `callback` .

This function can be called only if `e_collection_account_wizard_get_can_run()` returns `TRUE`.

#### Parameters

wizard | an ECollectionAccountWizard |
callback | a callback to call, when the run is finished |
user_data | user data for the `callback` |

Since: 3.28

### e_collection_account_wizard_run_finish ()

    void
    e_collection_account_wizard_run_finish
                                   (ECollectionAccountWizard *wizard,
                                    GAsyncResult *result);

`e_collection_account_wizard_run_finish` is deprecated and should not be used in newly-written code.

Finishes the wizard run issued by `e_collection_account_wizard_run()`. It doesn't return anything, because everything is handled within the `wizard` , thus it is provided mainly for consistency with asynchronous API.

#### Parameters

wizard | an ECollectionAccountWizard |
result | result of the operation |

Since: 3.28

### e_collection_account_wizard_abort ()

    void
    e_collection_account_wizard_abort (ECollectionAccountWizard *wizard);

`e_collection_account_wizard_abort` is deprecated and should not be used in newly-written code.

Aborts any ongoing operation the `wizard` may run. If there is nothing running, then does nothing.

#### Parameters

wizard | an ECollectionAccountWizard |

Since: 3.28

## Types and Values

### struct ECollectionAccountWizard

    struct ECollectionAccountWizard {
    };

`ECollectionAccountWizard` is deprecated and should not be used in newly-written code.

Contains only private data that should be read and manipulated using the functions below.

Since: 3.28